body {
    background-image: url('../../img/background/vector_2.png');
    background-position: right;
    background-size: 1280px, auto, contain;
    background-repeat: repeat-y;
    background-position-y: 260px;
}

/* HEADER ---------------------------------------------------------------------- */
header {
    position: relative;
    background-color: #FFF0 !important;
    padding: 0px 100px 50px 100px !important;
}
.header-logo-container {
    width: 200px;
    height: 200px;
    background-color: var(--light-grey);
    position: absolute;
    top: 25px;
    left: 50px;
    z-index: 100;
}
.header-logo-container::before {
    width: 200px;
    height: 200px;
    border-bottom-right-radius: 100px;
    display: block;
    position: absolute;
    z-index: 100;
    background-color: white;
    content: '';
}
.header-navbar-container {
    background-color: #fff;
    height: 85px;
    padding-left: 160px;
    padding-top: 25px;
    padding-bottom: 15px;
}
#header-logo {
    width: auto;
    height: 90%;
    display: block;
    margin: auto;
    position: relative;
    z-index: 100;
}
#header-logo-text {
    height: 100%;
    width: auto;
    position: relative;
    z-index: 101;
}
.header-content-container {
    width: 100%;
    height: 700px;
    background-color: var(--light-grey);
    position: relative;
    border-radius: 20px;
}
.header-content-container::before {
    width: 20px;
    height: 20px;
    content: '';
    z-index: 100;
    background-color: var(--light-grey);
    display: block;
    position: absolute;
    left: 150px;
    border-top-left-radius: 20px;
    box-shadow: -10px -10px 0px 10px #fff;
}
.header-content-container::after {
    width: 20px;
    height: 20px;
    content: '';
    z-index: 100;
    background-color: var(--light-grey);
    display: block;
    position: absolute;
    left: 0px;
    border-top-left-radius: 20px;
    box-shadow: -10px -10px 0px 10px #fff;
    top: 136px;
}
.header-content-container .container {
    padding-top: 20px;
}
.header-content-container .container h1 {
    font-size: 60px;
    color: var(--main-color);
    font-weight: 400;
}
.header-content-container .container h1 strong {
    font-weight: 600;
}
.title-point {
    width: 10px;
    height: 10px;
    background-color: var(--light-main-color);
    display: inline-block;
}
.header-vehicule-container {
    position: absolute;
    right: 100px;
    bottom: 0px;
    border-radius: 20px 20px 0px 0px;
    height: 520px;
    width: 520px;
    background-color: var(--light-blue-50);
}
.header-vehicule-container img {
    width: 620px;
    height: auto;
    margin-left: -50px;
    position: absolute;
    bottom: -30px;
}

/* SERVICES SELECT */
.dropdown-service-label-container {
    font-family: 'Comfortaa';
}
#services-dropdown .dropdown-item {
    height: 60px;
    cursor: pointer;
}
.dropdown-service-icon {
    float: left;
    margin-right: 8px;
    height: 48px;
}
.dropdown-service-icon img {
    width: 18px;
    margin-top: 4px;
    display: block;
    margin-right: auto;
    margin-left: auto;
}
.dropdown-service-label {
    font-weight: var(--btn-font-weight-normal);
}
.dropdown-service-sub-label {
    font-size: 14px;
    line-height: 1.2em;
}

/* SEARCH FORM */
#search-form-navbar-row {
    margin-top: 100px;
}
#btn-services i {
    font-size: 24px;
}
#search-form {
    width: 100%;
    height: 80px;
    margin-top: 5px;
    background-color: #fff;
    border-radius: 50px;
    border: 1px solid var(--main-color);
    box-shadow: 10px 10px 15px -5px #0000003b;
    padding: 18px 40px;
    z-index: 1;
    position: relative;
    
}
.search-form label {
    line-height: 2.2em;
}
.search-form .form-control, .search-form select {
    border: 1px solid var(--light-black);
    border-radius: 10px !important;
    height: 38px;
}
.search-form .dropdown-toggle::after {
    content: "\F282";
    font-family: "bootstrap-icons";
    position: absolute;
    right: 10px;
    top: 10px;
    border: 0px;
}
.search-form .date-button, .search-form .horaire-button {
    border: 1px solid var(--light-black);
    border-radius: 10px;
    background-color: #fff;
    min-width: 100px;
    width: 100px;
    padding: 0px 8px;
}
#btn-search-horaire-depart:after, #btn-search-horaire-retour:after {
    content: none !important;
}
#btn-search-form-submit {
    height: 45px !important;
    font-size: 20px !important;
    min-width: 240px;
    font-weight: var(--btn-font-weight-thin);
}

/* BOUTON HEADER CONTACT ------------------------------------------------------- */
.btn-header-contact {
    height: 50px;
    width: 50px;
    padding: 6px;
    background-color: var(--light-grey);
    cursor: pointer;
    display: none;
}
.btn-header-contact img {
    width: 100%;
    height: auto;
}


/* GAMME VEHICULES ------------------------------------------------------------- */
.btn-check-gamme-slide {
    height: 40px !important;
    min-width: 160px;
    font-size: 20px;
    padding: 5px;
    line-height: 1.2em;
    background: linear-gradient(277.29deg, #FDFDFD 47.45%, #F7F7F7 84.4%);
    box-shadow: 1px 1px 4px 0px #ACACAC80;
}
.btn-check:checked + .btn-check-gamme-slide {
    background: var(--main-color) !important;
    color: #fff;
    box-shadow: 5px 5px 10px 0px #00000080 inset !important;
}
.btn-check:checked + .btn-check-gamme-slide:focus {
    box-shadow: none !important;
}
.gamme-vehicules-container {
    width: 100%;
    height: 400px;
    margin-top: 40px;
    overflow: hidden;
}
.gamme-vehicules-items-container {
    display: flex;
    gap: 10px;
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
}

/* VIDEO ----------------------------------------------------------------------- */
#lecteur-video-container {
    margin-top: 100px;
}
#screen-lecteur {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 1000px;
}
video {
    border-radius: 30px;
}
/* NOS SERVICES ---------------------------------------------------------------- */
#nos-services-container {
    margin-top: 100px;
}
.service-card {
    height: 320px;
    width: 260px;
    margin-left: auto;
    margin-right: auto;
    border-radius: 10px;
    border: 1px solid var(--light-grey);
    box-shadow: 1px 1px 4px 1px #7d7d7d0a;
    padding: 20px;
    /*background: linear-gradient(340.93deg, rgba(232, 232, 232, 0.8) 6.1%, #FFFFFF 65.17%, rgba(231, 239, 243, 0.2) 70.74%, rgba(255, 255, 255, 0.2) 95.14%);*/
    background: linear-gradient(277.29deg, #FDFDFD 47.45%, #F7F7F7 84.4%);
}
.service-card img {
    width: 120px;
    height: 120px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 20px;
}
.service-title h5 {
    text-transform: uppercase;
}
.service-text {
    height: 80px;
}
.service-text p {
    font-weight: var(--btn-font-weight-thin);
    font-size: 14px;
    color: var(--main-color);
    text-align: center;
    line-height: 1.2em;
}
.service-card .btn-service-more {
    background-color: #E1E3EA;
}

/* AGENCES --------------------------------------------------------------------- */
#agences-container {
    margin-top: 100px;
    height: auto;
    /*background-color: var(--light-grey);*/
    padding: 20px;
}
#googlemap-iframe {
    width: 100%;
    height: 400px;
}

/* PARTENAIRES ----------------------------------------------------------------- */
#partenaires-container {
    margin-top: 100px;
}
.partenaire-logo {
    height: 100px;
}
.partenaire-logo img {
    width: 100px;
    display: block;
    margin-left: auto;
    margin-right: auto;
}



/* RESPONSIVE ------------------------------------------------------------------ */
@media only screen and (max-width: 1800px) {
    /* Navbar ****************************************************************** */
    #navbar-main-container {
        background-color: #fff;
    }
    .header-content-container .container h1 {
        font-size: 45px;
        margin-left: 180px;
    }
    header {
        /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#ffffff+0,ffffff+35,ffffff+100&1+0,0.5+35,0+100 */
        background: linear-gradient(to bottom,  rgba(255,255,255,1) 0%,rgba(255,255,255,0.5) 35%,rgba(255,255,255,0) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    }
}
@media only screen and (max-width: 1400px) {
    /* Navbar ****************************************************************** */
    #navbar-main-container {
        background-color: #fff;
    }
    .header-content-container .container h1 {
        font-size: 45px;
        margin-left: 180px;
    }
    header {
        /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#ffffff+0,ffffff+35,ffffff+100&1+0,0.5+35,0+100 */
        background: linear-gradient(to bottom,  rgba(255,255,255,1) 0%,rgba(255,255,255,0.5) 35%,rgba(255,255,255,0) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    }
    .header-content-container::after {
        top: 136px;
    }
    
}
@media only screen and (max-width: 1280px) {
    /* Navbar ****************************************************************** */
    #navbar-main-container {
        background-color: #fff;
    }
    .header-content-container .container h1 {
        font-size: 45px;
        margin-left: 180px;
    }
    header {
        /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#ffffff+0,ffffff+35,ffffff+100&1+0,0.5+35,0+100 */
        background: linear-gradient(to bottom,  rgba(255,255,255,1) 0%,rgba(255,255,255,0.5) 35%,rgba(255,255,255,0) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    }
    .header-content-container::after {
        top: 136px;
    }
}
@media only screen and (max-width: 1200px) {
    
    /* Navbar ****************************************************************** */
    header {
        padding: 0px !important;
    }
    #navbar-main-container {
        padding: 10px 10px 10px 10px;
        background-color: #fff;
    }
    .header-logo-container, .header-logo-container:before {
        width: auto;
        height: auto;
        background-color: #fff;
        position: relative;
        top: 0px;
        left: 0px;
        float: left;
    }
    #header-logo {
        position: relative;
        width: auto;
        height: 80px;
        margin: 0px;
    }
    .header-navbar-container {
        padding: 0px;
        padding-left: 15px;
    }
    #header-logo-text {
        width: 140px;
        height: auto;
        object-fit: contain;
    }
    .carburant-widget-btn {
        width: 40px;
        height: 40px;
        border-radius: 30px;
    }
    
    /* Header content ********************************************************** */
    .header-content-container {
        /*margin-top: 20px;*/
        border-radius: 0px;
    }
    .header-content-container:after, .header-content-container:before {
        display: none !important;
    }
    .header-content-container h1 {
        font-size: 40px !important;
        margin-left: 0px !important;
    }
    
    #search-form-navbar-row {
        margin-top: 30px;
    }
    #search-form {
        height: auto !important;
    }
    
    /* Formulaire de recherche */
    .btn-input-search-form {
        margin-bottom: 15px;
    }
    #btn-recherche-vehicule-container {
        margin-top: 15px !important;
    }
 
    /* Helpers icons */
    #helpers-container {
        right: 20px;
    }
    
    /* Widget carburant */
    #carburant-widget {
        right: 20px;
    }
    
    /* Carousel gamme de véhicule */
    #gamme-vehicule-container {
        margin-top: 80px;
    }
    .veh-card {
        width: 300px !important;
        height: 221px !important;
    }
    .veh-card__inner h3 {
        font-size: 18px !important;
    }
    .veh-card__inner h4 {
        font-size: 14px !important;
    }
    .veh-card__inner img {
        width: inherit;
    }
    .gamme-vehicules-container {
        margin-top: 0px;
    }
    .button-cont {
        margin-top: 0px !important;
    }
    
    /* Lecteur vidéo */
    #lecteur-video-container {
        margin-top: 40px;
    }
    #lecteur-video-container video {
        width: inherit;
    }
    
    /* Nos services */
    #nos-services-container {
        margin-top: 40px;
    }
    #nos-services-container h2 {
        margin-bottom: 20px !important;
    }
    .service-card {
        margin-bottom: 20px !important;
    }
    
    /* Nos agences */
    #agences-container {
        margin-top: 40px;
    }
    
    /* Nos partenaires */
    #partenaires-container {
        margin-top: 40px;
    }
    .partenaire-logo {
        margin-bottom: 15px !important;
    }
    
}


@media only screen and (max-width: 991px) {
    /* Navbar ****************************************************************** */
    header {
        padding: 0px !important;
    }
    #navbar-main-container {
        padding: 10px 10px 10px 10px;
        background-color: #fff;
    }
    .header-logo-container, .header-logo-container:before {
        width: auto;
        height: auto;
        background-color: #fff;
        position: relative;
        top: 0px;
        left: 0px;
        float: left;
    }
    #header-logo {
        position: relative;
        width: auto;
        height: 80px;
        margin: 0px;
    }
    .header-navbar-container {
        padding: 0px;
        padding-left: 15px;
    }
    #header-logo-text {
        width: 140px;
        height: auto;
        object-fit: contain;
    }
    .header-navbar-container .search-reservation-btn {
        display: none;
    }
    .header-navbar-container #btn-login {
        display: none;
    }
    #header-navbar-button-container {
        
    }
    .carburant-widget-btn {
        display: inline;
    }
    #mobile-menu-button-container {
        display: inline;
    }
    #btn-menu-mobile {
        border-radius: 20px;
    }
    .carburant-widget-btn {
        width: 40px;
        height: 40px;
        border-radius: 30px;
    }
    .user-dropdown-navbar {
        display: none;
    }
    
}

@media only screen and (max-width: 767px) {
    .header-vehicule-container img {
        display: none;
    }
    .header-vehicule-container {
        background-color: #FFF0 !important;
    }
}


